| Earth Observation Mission CFI Software Lib Software User Manual for JAVA |

Public Member Functions | Public Attributes

# EECFI.Time Class Reference

Base class for Time objects. More...

Inheritance diagram for EECFI.Time:

List of all members.

## Public Member Functions
| Time (double value, long reference, long timeFormat)
| Class constructor.
| Time (TimeCorrelation timeCorr, double value, long reference, long timeFormat)
| Class constructor (time correlations).
native void | setAscii (String asciiTime, long reference, long timeFormat) throws CfiError
| Set time in ASCII format.
native void | setTransport (long transportTime[], long reference, long timeFormat) throws CfiError
| Set time in Transport format.
void | setProcessing (double procTime, long reference, long timeFormat)
| Set time in Processing format.
native String | getAscii (long reference, long timeFormat) throws CfiError
| Get time in ASCII format.
native void | getTransport (long transportTime[], long reference, long timeFormat) throws CfiError
| Get time in transport format.
native Time | getProcessing (long reference, long timeFormat) throws CfiError
| Get the time in processing days (J2000) for the requested reference and format.
native void | change (long reference, long timeFormat) throws CfiError
| Get change the time reference and format.
native void | now ()
| Get current system date and time.
void | setBOM ()
| Set time to Beggining of mission (BOM).
void | setEOM ()
| Set time to End of mission (EOM).
native Time | add (double d)
| Operator + (add a time duration).
native Time | subtract (double d)
| Operator - (subtract a time duration).
native double | subtract (Time t) throws CfiError
| Time difference between Time objects.
native boolean | gt (Time t) throws CfiError
| gt > (greater than).
native boolean | lt (Time t) throws CfiError
| lt < (less than).
native boolean | ge (Time t) throws CfiError
| ge >= (greater or equal than).
native boolean | le (Time t) throws CfiError
| le < (less or equal than).
native boolean | eq (Time t) throws CfiError
| eq == (equal than).
native boolean | neq (Time t) throws CfiError
| neq != (non equal than).
## Public Attributes
double | time
| Time value (J2000 days).
long | ref
| Time reference.
long | format
| Time format.

## Detailed Description

Base class for Time objects.

## Constructor & Destructor Documentation

EECFI.Time::Time | ( | double | value,
|  | long | reference,
|  | long | timeFormat |
| ) |  |  |

Class constructor.

Parameters:

  | value | Time in Julian days (J2000) .
  | reference | Time reference.
  | timeFormat | Time format.

EECFI.Time::Time | ( | TimeCorrelation | timeCorr,
|  | double | value,
|  | long | reference,
|  | long | timeFormat |
| ) |  |  |

Class constructor (time correlations).

Parameters:

  | timeCorr | Time correlation.
  | value | Time in Julian days (J2000) .
  | reference | Time reference (XLTimeRefEnum except XLCFI_TIME_UNDEF).
  | timeFormat | Time format.

## Member Function Documentation

Time EECFI.Time::add | ( | double | d | ) |

Operator + (add a time duration).

Parameters:

  | d | Time duration in processing days.

Returns:
  Added time.

void EECFI.Time::change | ( | long | reference,
|  | long | timeFormat |
| ) |  |  | throws CfiError

Get change the time reference and format.

Parameters:

  | reference | Time reference (XLTimeRefEnum except XLCFI_TIME_UNDEF).
  | timeFormat | Time format TimeProcEnum.

boolean EECFI.Time::eq | ( | Time | t | ) | throws CfiError

eq == (equal than).

Parameters:

  | t | Time object to compare.

Returns:
  Result of comparison.

boolean EECFI.Time::ge | ( | Time | t | ) | throws CfiError

ge >= (greater or equal than).

Parameters:

  | t | Time object to compare.

Returns:
  Result of comparison.

String EECFI.Time::getAscii | ( | long | reference,
|  | long | timeFormat |
| ) |  |  | throws CfiError

Get time in ASCII format.

Parameters:

  | reference | Time reference (XLTimeRefEnum except XLCFI_TIME_UNDEF).
  | timeFormat | Time format (TimeAsciiEnum).

Returns:
  Time in ascii format.

Time EECFI.Time::getProcessing | ( | long | reference,
|  | long | timeFormat |
| ) |  |  | throws CfiError

Get the time in processing days (J2000) for the requested reference and format.

Parameters:

  | reference | Time reference (XLTimeRefEnum except XLCFI_TIME_UNDEF).
  | timeFormat | Time format (TimeProcEnum).

void EECFI.Time::getTransport | ( | long | transportTime[],
|  | long | reference,
|  | long | timeFormat |
| ) |  |  | throws CfiError

Get time in transport format.

The meanings and units of the different array elements from the Transport time strongly depend upon the selected Transport format (by means of the Transport format ID). The table below shows the choices:

Input | Array Element | Unit (Format) | Allowed Range
--- | --- | --- | ---
XL_TRANS_STD | [0] | Integer days | [-18262,36524]
[1] | Integer seconds | [0,86399]
[2] | Integer microseconds | [0,999999]
XL_TRANS_ENVI_GS | [0] | Integer days | [-18262,36524]
[1] | Integer seconds | [0,86399]
[2] | Integer microseconds | [0,999999]
XL_TRANS_CRYO_GS | [0] | Integer days | [-18262,36524]
[1] | Integer seconds | [0,86399]
[2] | Integer microseconds | [0,999999]
XL_TRANS_CRYO_TM | [0] | Integer days | [-18262,36524]
[1] | Integer milliseconds | [0,86399999]
[2] | Integer microseconds | [0,999]
XL_TRANS_CRYO_TM_SIRAL | [0] | Integer days | [-18262,36524]
[1] | Integer milliseconds | [0,86399999]
[2] | Integer microseconds | [0,999]
[3] | SIRAL extra counter | [0,1745454545]
XL_TRANS_SMOS_TM | [0] | Week number | [-1566, 6260]
[1] | Seconds of week | [0, 604799]
| [2] | Fraction of seconds | [0, 65535]

Parameters:

  | transportTime | [OUTPUT] Time in transport format.
  | reference | Time reference (XLTimeRefEnum except XLCFI_TIME_UNDEF).
  | timeFormat | Time format (TimeTransEnum).

boolean EECFI.Time::gt | ( | Time | t | ) | throws CfiError

gt > (greater than).

Parameters:

  | t | Time object to compare.

Returns:
  Result of comparison.

boolean EECFI.Time::le | ( | Time | t | ) | throws CfiError

le < (less or equal than).

Parameters:

  | t | Time object to compare.

Returns:
  Result of comparison.

boolean EECFI.Time::lt | ( | Time | t | ) | throws CfiError

lt < (less than).

Parameters:

  | t | Time object to compare.

Returns:
  Result of comparison.

boolean EECFI.Time::neq | ( | Time | t | ) | throws CfiError

neq != (non equal than).

Parameters:

  | t | Time object to compare.

Returns:
  Result of comparison.

native void EECFI.Time.now | ( |  | ) |

Get current system date and time.

void EECFI.Time::setAscii | ( | String | asciiTime,
|  | long | reference,
|  | long | timeFormat |
| ) |  |  | throws CfiError

Set time in ASCII format.

Parameters:

  | asciiTime | Time in ASCII date format.
  | reference | Time reference (XLTimeRefEnum except XLCFI_TIME_UNDEF).
  | timeFormat | Time format (TimeAsciiEnum).

void EECFI.Time.setBOM | ( |  | ) |

Set time to Beggining of mission (BOM).

void EECFI.Time.setEOM | ( |  | ) |

Set time to End of mission (EOM).

void EECFI.Time::setProcessing | ( | double | procTime,
|  | long | reference,
|  | long | timeFormat |
| ) |  |  |

Set time in Processing format.

Parameters:

  | procTime | Time in processing format.
  | reference | Time reference (XLTimeRefEnum except XLCFI_TIME_UNDEF).
  | timeFormat | Time format.

void EECFI.Time::setTransport | ( | long | transportTime[],
|  | long | reference,
|  | long | timeFormat |
| ) |  |  | throws CfiError

Set time in Transport format.

For a description of transport time array elements, see method getTransport.

Parameters:

  | transportTime | Time in transport format.
  | reference | Time reference (XLTimeRefEnum except XLCFI_TIME_UNDEF).
  | timeFormat | Time format (TimeTransEnum).

Time EECFI.Time::subtract | ( | double | d | ) |

Operator - (subtract a time duration).

Parameters:

  | d | Time duration in processing days.

Returns:
  Subtracted time.

double EECFI.Time::subtract | ( | Time | t | ) | throws CfiError

Time difference between Time objects.

Parameters:

  | t | Time object to be subtracted in Processing format.

Returns:
  Time diference.

## Member Data Documentation

long EECFI.Time.format

Time format.

long EECFI.Time.ref

Time reference.

double EECFI.Time.time

Time value (J2000 days).